--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: Composite entities are handled using MIME mechanisms. A MIME processor must handle the body directly. A CompositeMediaType object is composed of one or more CompositeMediaType and/or DiscreteMediaType objects.
- !ruby/struct:SM::Flow::P 
  body: This class is abstract.
constants: []

full_name: MIME::CompositeMediaType
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: add_entity
- !ruby/object:RI::MethodSummary 
  name: attach_entity
- !ruby/object:RI::MethodSummary 
  name: inline_entity
name: CompositeMediaType
superclass: MediaType
